Object.defineProperty(exports, '__esModule', { value: true });

var _tslib = require('./_virtual/_tslib.js');
var cacheType = require('./cache-type.js');

var cacheReducer = function (cacheStates, action) {
    var _a, _b, _c;
    var _d = action.payload, cacheId = _d.cacheId, reactElement = _d.reactElement, doms = _d.doms;
    switch (action.type) {
        case cacheType["default"].CREATE:
            return _tslib.__assign(_tslib.__assign({}, cacheStates), (_a = {}, _a[cacheId] = {
                cacheId: cacheId,
                reactElement: reactElement,
                doms: undefined,
                status: cacheType["default"].CREATE,
                scrolls: {},
            }, _a));
        case cacheType["default"].CREATED:
            return _tslib.__assign(_tslib.__assign({}, cacheStates), (_b = {}, _b[cacheId] = _tslib.__assign(_tslib.__assign({}, cacheStates[cacheId]), { doms: doms, status: cacheType["default"].CREATED }), _b));
        case cacheType["default"].DESTROY:
            return _tslib.__assign(_tslib.__assign({}, cacheStates), (_c = {}, _c[cacheId] = _tslib.__assign(_tslib.__assign({}, cacheStates[cacheId]), { status: cacheType["default"].DESTROY }), _c));
        default:
            return cacheStates;
    }
};

exports["default"] = cacheReducer;
//# sourceMappingURL=cacheReducer.js.map
